<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Home</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Home</h1>

    



    


    <h3> </h3>










    




    <section>
        <article><p><a href="https://openclassrooms.com/fr/"><img src="https://img.shields.io/badge/-OpenClassrooms-%237451eb" alt="OpenClassrooms"></a>
<a href="https://reactjs.org/"><img src="https://img.shields.io/badge/-React-%2361dafb" alt="React"></a>
<a href="https://www.typescriptlang.org/"><img src="https://img.shields.io/badge/-Typescript-%233178c6" alt="Typescript"></a>
<a href="https://developer.mozilla.org/en-US/docs/Web/HTML"><img src="https://img.shields.io/badge/-Html-%23dd4b25" alt="html"></a>
<a href="https://developer.mozilla.org/en-US/docs/Web/CSS"><img src="https://img.shields.io/badge/-CSS-%23264de4" alt="css"></a>
<a href="https://creativecommons.org/"><img src="https://img.shields.io/badge/Creative%20Commons-BY--NC--ND-black" alt="Creative Commons"></a></p>
<p><img src="https://user.oc-static.com/upload/2020/08/18/15977560509272_logo%20%285%29.png" alt="Logo Sportsee"></p>
<h1>Welcome to SportSee</h1>
<h3>SportSee is the twelfth project of the Openclassrooms' Front-End developer path !</h3>
<h3>Build an analytics dashboard with React</h3>
<ul>
<li>Produce technical documentation for an application</li>
<li>Ensuring the data quality of an application</li>
<li>Develop advanced graphics using JavaScript libraries</li>
<li>Interact with a web service</li>
</ul>
<p>Let's have a look on the <a href="https://www.figma.com/file/BMomGVZqLZb811mDMShpLu/UI-design-Sportify-FR?node-id=0%3A1">Figma mockup</a></p>
<h1>Technologies</h1>
<h3>language</h3>
<ul>
<li><a href="https://www.typescriptlang.org/">Typescript</a> v4.0.3</li>
</ul>
<h3>framework</h3>
<ul>
<li><a href="https://reactjs.org/">React</a> v17.0.1</li>
</ul>
<h3>dependencies</h3>
<ul>
<li><a href="https://styled-components.com/">Styled Components</a> v5.3.0</li>
<li><a href="https://recharts.org/en-US/">Recharts</a> v2.0.10</li>
<li><a href="https://reactrouter.com/">React Router</a> v5.2.0</li>
</ul>
<h1>Getting Started</h1>
<h3>Prerequisites</h3>
<ul>
<li><a href="https://nodejs.org/en/">NodeJS</a></li>
<li><a href="https://yarnpkg.com/">Yarn</a></li>
</ul>
<h3>Instructions</h3>
<ol>
<li>Get the <a href="https://github.com/OpenClassrooms-Student-Center/P9-front-end-dashboard">Backend API project</a></li>
<li>Clone this repository on your computer</li>
<li>Open a terminal window in the cloned project</li>
<li>Run the following commands:</li>
</ol>
<pre class="prettyprint source"><code># Install dependencies
yarn

# Start local dev server
yarn start
</code></pre>
<ul>
<li><em>Don't forget to run the <strong>Backend API</strong></em></li>
<li>Your server should now be running at http://locahost:3001</li>
<li>For now, the project has only two users. Click on profile page navigation link will switch between the two them.</li>
</ul>
<h1>Author</h1>
<blockquote>
<p>Adrien JOURDAN -&gt; check <a href="https://gitlab.com/adrien.jourdan1">my gitlab</a> and <a href="https://www.linkedin.com/in/adrienjourdan/">my linkedIn profile</a></p>
</blockquote>
<h1>Contributing</h1>
<blockquote>
<p><a href="https://www.linkedin.com/in/hugo-b-18804a197/">Hugo BOCQUET</a> as OpenClassrooms mentor</p>
</blockquote>
<blockquote>
<p><a href="https://www.linkedin.com/in/mezianimn/">Mohamed Nassim MEZIANI</a> as OpenClassrooms mentor</p>
</blockquote>
<blockquote>
<p><a href="https://openclassrooms.com/fr/">Openclassrooms</a> as my learning platform</p>
</blockquote></article>
    </section>






</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Global</h3><ul><li><a href="global.html#Activity">Activity</a></li><li><a href="global.html#AverageSessions">AverageSessions</a></li><li><a href="global.html#Header">Header</a></li><li><a href="global.html#KeyFigureCard">KeyFigureCard</a></li><li><a href="global.html#Performance">Performance</a></li><li><a href="global.html#ProfileBody">ProfileBody</a></li><li><a href="global.html#ProfileBodyGraphics">ProfileBodyGraphics</a></li><li><a href="global.html#ProfileBodyKeys">ProfileBodyKeys</a></li><li><a href="global.html#ProfileHeading">ProfileHeading</a></li><li><a href="global.html#Score">Score</a></li><li><a href="global.html#SideBar">SideBar</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Fri Aug 20 2021 11:51:37 GMT+0200 (heure d’été d’Europe centrale)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>